/* Cards */
.recipes-cards {
  padding: 35px 0 75px;
  background: var(--color-purple-pastel);
}

.recipes-cards h2 {
  font-weight: bold;
}

.recipes-cards__list {
  display: grid;
  grid-template-columns: repeat(auto-fill,minmax(clamp(380px, 20%, 430px),1fr));
  gap: 30px;
}

.recipe-card {
  display: flex;
  flex-direction: column;
  background-color: #fff;
  border-radius: 20px;
  overflow: hidden;
  transition: var(--transition-cta);
}

.recipe-card:hover {
  box-shadow: 0 1px 30px rgba(26, 52, 97, 0.15);
}

.recipe-card:hover .btn-arrow-yellow {
  background-image: url(https://www.makingdiabeteseasier.com/be/themes/air_liquide_mde/img/icons/arrow-hover.svg);
}

.recipe-card a {
  text-decoration: none;
}

.recipe-card .media--blazy, .recipe-card.media--fx {
    position: inherit;
}

.recipe-card__top {
  /* height: 50%; */
  aspect-ratio: 5/3;
  position: relative;
}

.recipe-card__top img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.recipe-card__link {
  display: flex;
  height: 100%;
}

.recipe-card__bottom {
  display: grid;
  grid-template-columns: 1fr 1fr auto;
  grid-template-areas: 
      "a a a"
      "b b c";
  flex: 1;
  padding: 20px;
  gap: 10px;
}

.recipe-card__bottom .btn-arrow-yellow {
  background-image: url(https://www.makingdiabeteseasier.com/be/themes/air_liquide_mde/img/icons/arrow-yellow.svg);
  background-size: contain;
  background-repeat: no-repeat;
  width: 40px;
  height: 40px;
  display: block;
  margin-top: auto;
  grid-area: c;
}

.recipe-card__title {
  font-size: 20px;
  margin-bottom: 20px;
  width: 100%;
  font-weight: bold;
  grid-area: a;
}

.recipe-card__nutrition-list {
  padding: 0;
  margin: 0;
  gap: 10px;
  width: 100%;
  margin-top: auto;
  list-style-type: none;
  grid-area: b;
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(90px, 1fr));
}

.recipe-card__nutrition-item {
  aspect-ratio: 4/5;
  background-color: var(--color-secondary-lighten-dark-bg);
  border-radius: 10px;
  font-size: 16px;
  color: var(--color-primary-dark);
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  text-align: center;
}

.recipe-card__tags-wrapper {
  display: flex;
  flex-wrap: wrap;
  position: relative;
  margin-top: auto;
  z-index: 1;
  padding: 20px;
  gap: 10px;
}

.recipe-card__nutrition-highlight {
  font-weight: bold;
}


@media screen and (max-width: 767px) {
  .recipes-cards__list {
      grid-template-columns: 1fr;
  }
  .recipe-card__bottom  {
      align-items: center;
      grid-template-areas: 
          "a a c"
          "b b b";
  }
  .recipe-card__title {
      margin-bottom: 0;    
  }
  .recipe-card__nutrition-list {
    grid-template-columns: repeat(auto-fill, minmax(75px, 1fr));
  }
}